Commit 6387990a authored by Antoine Regimbeau's avatar Antoine Regimbeau

Merge branch 'update_softwareguide_66' into 'release-6.6'

Update SoftwareGuide

See merge request orfeotoolbox/otb!104
parents 3a6fa8cb e89d51ba
...@@ -137,7 +137,6 @@ SET( Tex_SRCS ...@@ -137,7 +137,6 @@ SET( Tex_SRCS
FeatureExtraction.tex FeatureExtraction.tex
ObjectBasedImageAnalysis.tex ObjectBasedImageAnalysis.tex
Hyperspectral.tex Hyperspectral.tex
ReleaseNotes.tex
Wrapping.tex Wrapping.tex
) )
......
...@@ -126,7 +126,7 @@ See table \ref{tab:otb-dependencies} for the full list of dependencies. ...@@ -126,7 +126,7 @@ See table \ref{tab:otb-dependencies} for the full list of dependencies.
\hline \hline
\textbf{OPENGL} & \url{https://www.opengl.org/} & no & - \\ \textbf{OPENGL} & \url{https://www.opengl.org/} & no & - \\
\hline \hline
\textbf{Qt} & \url{http://qt-project.org} & no & 4 \\ \textbf{Qt} & \url{https://www.qt.io/developers/} & no & 5 \\
\hline \hline
\textbf{QWT} & \url{http://qwt.sourceforge.net} & no & 6 \\ \textbf{QWT} & \url{http://qwt.sourceforge.net} & no & 6 \\
\hline \hline
...@@ -170,8 +170,7 @@ $ mkdir install ...@@ -170,8 +170,7 @@ $ mkdir install
The OTB project uses a git branching model where \texttt{develop} is the current development version. The OTB project uses a git branching model where \texttt{develop} is the current development version.
It contains the latest patches and represents the work in progress towards the next release. It contains the latest patches and represents the work in progress towards the next release.
For more information on OTB and git, including how to decide which branch to want to compile, please see the For more information regarding the use of Git in the project please have a look at : \url{http://wiki.orfeo-toolbox.org/index.php/Git}. See the contributing.md (\url{https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/blob/develop/CONTRIBUTING.md}) to have more inforamtion on how to contribute to OTB.
OTB wiki page at \url{http://wiki.orfeo-toolbox.org/index.php/Git}.
Checkout the relevant branch now: Checkout the relevant branch now:
\begin{verbatim} \begin{verbatim}
...@@ -294,16 +293,16 @@ want to build) : ...@@ -294,16 +293,16 @@ want to build) :
\url{https://www.orfeo-toolbox.org/packages} \url{https://www.orfeo-toolbox.org/packages}
\end{center} \end{center}
Qt library: Unlike other dependencies building Qt4 on all platform is not trivial task but Qt library: Unlike other dependencies building Qt5 on all platform is not trivial task but
OTB SuperBuild makes best effort to make it easier for you. So there is still OTB SuperBuild makes best effort to make it easier for you. So there is still
some additional package installation, one has to do as a pre-requistie for SuperBuild some additional package installation, one has to do as a pre-requistie for SuperBuild
On a GNU/Linux you must have Qt X11 dependencies installed. On a GNU/Linux you must have Qt X11 dependencies installed.
See Qt 4.8 documentation for list of packages that needs to be installed See Qt 5 documentation for list of packages that needs to be installed
before starting superbuild. http://doc.qt.io/qt-4.8/requirements-x11.html before starting superbuild. https://doc.qt.io/qt-5/linux-requirements.html.
For a debian 8.1 systeme, I installed all Qt4 dependencies with below 'apt-get install' For a Debian 8.1 system, I installed all Qt5 dependencies with below 'apt-get install'
\texttt{apt-get install libx11-dev libxext-dev libxt-dev libxi-dev libxrandr-dev libgl-dev libglu-dev} \texttt{apt-get install libx11-dev libxext-dev libxt-dev libxi-dev libxrandr-dev libgl-dev libglu-dev}
You can also deactivate QT4 and skip this by passing \texttt{-DOTB\_USE\_QT4=OFF} to cmake. You can also deactivate QT5 and skip this by passing \texttt{-DOTB\_USE\_QT=OFF} to cmake.
This will give you OTB install without monteverdi, mapla and gui application launchers. This will give you OTB install without monteverdi, mapla and gui application launchers.
For Mac OSX you need to install XCode and Windows 7,8.1,10 requires MSVC 2015 or higher. For Mac OSX you need to install XCode and Windows 7,8.1,10 requires MSVC 2015 or higher.
...@@ -410,7 +409,7 @@ $ make install ...@@ -410,7 +409,7 @@ $ make install
\hline \hline
\textbf{OTB\_USE\_LIBKML} & OTBlibkml & OTBKMZWriter OTBIOKML OTBAppKMZ \\ \textbf{OTB\_USE\_LIBKML} & OTBlibkml & OTBKMZWriter OTBIOKML OTBAppKMZ \\
\hline \hline
\textbf{OTB\_USE\_QT4} & OTBQt4 & OTBQtWidget \\ \textbf{OTB\_USE\_QT} & OTBQt & OTBQtWidget \\
\hline \hline
\textbf{OTB\_USE\_QWT} & OTBQwt & OTBMonteverdiGUI OTBMonteverdi \\ \textbf{OTB\_USE\_QWT} & OTBQwt & OTBMonteverdiGUI OTBMonteverdi \\
\hline \hline
......
...@@ -264,10 +264,6 @@ colorlinks,linkcolor={blue},citecolor={blue},urlcolor={blue}, ...@@ -264,10 +264,6 @@ colorlinks,linkcolor={blue},citecolor={blue},urlcolor={blue},
\part{Appendix}\label{part:appendix} \part{Appendix}\label{part:appendix}
\chapter{Release Notes}
\label{sec:ReleaseNotes}
\input{ReleaseNotes.tex}
%Comment generation of wrapping documentation for release 3.2 %Comment generation of wrapping documentation for release 3.2
\chapter{Wrappings to other languages} \chapter{Wrappings to other languages}
\label{chap:wrappings} \label{chap:wrappings}
......
...@@ -144,7 +144,7 @@ private: ...@@ -144,7 +144,7 @@ private:
// Software Guide : BeginLatex // Software Guide : BeginLatex
// Application parameters declaration is done using \code{AddParameter()} method. // Application parameters declaration is done using \code{AddParameter()} method.
// \code{AddParameter()} requires the input parameter type // \code{AddParameter()} requires the input parameter type
// (ParameterType_InputImage, ParameterType_Int, ParameterType_Float), its name and description. // (ParameterType\_InputImage, ParameterType\_Int, ParameterType\_Float), its name and description.
// \subdoxygen{otb}{Wrapper}{Application} class contains methods to set parameters characteristics. // \subdoxygen{otb}{Wrapper}{Application} class contains methods to set parameters characteristics.
// Software Guide : EndLatex // Software Guide : EndLatex
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment